Page MenuHomePhabricator

Provide some more room for search results in the gallery dialog
Closed, ResolvedPublic1 Story Points

Description

This might be solvable with T64677: VisualEditor: Merge the media editing and gallery editing dialogs, except that it might be more complicated than that.

The Gallery dialog feels cramped when I search for images. The Media dialog's search box is bigger than the regular dialog; the Gallery dialog is the same size, but I only get to use three-quarters of the width because the column on the left is reserved for the current list of images. This means that I can usually see (most of) four to six images at a time.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterSet gallery dialog to larger size when search panel is focused

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptSep 9 2016, 8:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdforrester-WMF renamed this task from Make me happy when I use the gallery dialog: more room for search results to Provide some more room for search results in the gallery dialog.Sep 13 2016, 7:18 PM
Jdforrester-WMF triaged this task as Medium priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to Blocked on the VisualEditor board.

Change 315462 had a related patch set uploaded (by Tchanders):
Set gallery dialog to larger size when search panel is focused

https://gerrit.wikimedia.org/r/315462

Making the dialog larger on search seems a sensible way forward. I guess it's helpful for the current images in the gallery to remain visible, to help avoid duplication.

Jdforrester-WMF closed this task as Resolved.Oct 13 2016, 12:45 AM
Jdforrester-WMF assigned this task to Tchanders.
Jdforrester-WMF removed a project: Patch-For-Review.

Change 315462 merged by jenkins-bot:
Set gallery dialog to larger size when search panel is focused

https://gerrit.wikimedia.org/r/315462